/* ============ Login Flow ============ */

.login-row {
  margin: 40px auto;
  background-color: #ffffff;
  max-width: 540px;
  width: 100%;
  /* height: 600px; */
  border-radius: 12px;
  z-index: 999;
  padding: 60px 40px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.signup-row {
  margin: 0 auto;
  background-color: #ffffff;
  width: 70%;
  height: 94vh;
  border-radius: 12px;
  z-index: 999;
  padding: 60px 80px;
  position: relative;
}

.form-logo {
  /* position: absolute;
  top: 32px; */
}

.main-logo {
  width: 105px;
  margin-top: 20px;
}

.logo-signup {
  position: absolute;
  top: 30px;
  left: 42%;
}

/* 
.login-form {
  margin-top: 28%;
} */

.signup-form {
  margin-top: 80px;
  height: 75vh;
  overflow-x: hidden;
  overflow-y: auto;
}

.form-input {
  height: 58px;
  border: 1px solid var(--primary-color);
  border-radius: 6px;
}

.login-email {
  position: relative;
}

.login-email::before {
  position: absolute;
  content: "";
  background-image: url("/media/icons/email.png");
  top: 10px;
}

.user-email {
  position: relative;
}

.user-password {
  position: relative;
}

.login-icon {
  position: absolute;
  right: 14px;
  top: 11px;
}

.login-icon2 {
  position: absolute;
  right: 14px;
  top: 11px;
}

.login-icon3 {
  position: absolute;
  top: 52%;
  right: 5%;
}

.btn-login {
  background-color: var(--primary-color);
  color: #ffffff;
  /* width: 524px; */
  width: 100%;
  padding: 14px;
  border-radius: 6px;
}

.btn-popup-submit {
  background-color: var(--primary-color);
  color: #ffffff;
  width: 100%;
  height: 40px;
  border-radius: 6px;
}

.btn-login:hover,
.btn-popup-submit:hover {
  background-color: white;
  color: var(--primary-color);
  border: 2px solid var(--primary-color);
  transition: all 0.8s ease-in-out;
}

.highlight-text {
  color: var(--secondary-color);
  font-weight: 600;
}

.link-breaker {
  margin: 0 auto;
  display: block;
  width: 300px;
  border: 0;
  border-radius: 18px;
  border-top: 8px solid #ffc42e;
  padding: 0;
}

.select-organization {
  margin-left: 22px;
}

.select2-selection__rendered {
  line-height: 58px !important;
  margin-left: 10px;
}

.select2-container .select2-selection--single {
  height: 58px !important;
}

.select2-selection__arrow {
  height: 58px !important;
  margin-right: 10px;
}

/* select-organization dropdown overright */

.select-organization span.select2-selection.select2-selection--single {
  border-radius: 6px;
  border: 1px solid var(--primary-color);
}

/* ============ Modal Pop - Change Password ============ */
#exampleModal .modal-header {
  border: none !important;
  padding: 28px;
  margin-top: 20px;
}

#exampleModal .modal-body {
  padding: 20px 40px;
}

#changePasswordModal .modal-header {
  border: none !important;
  padding: 28px;
  margin-top: 20px;
}

#changePasswordModal .modal-body {
  padding: 20px 40px;
}

.change-password-heading {
  position: absolute !important;
  left: 25%;
  top: 40px;
}

/* ============ Modal Pop ============ */
.main-popup .modal-header {
  background: var(--primary-color);
  color: #ffffff;
  padding: 15px 22px;
}

.main-popup .modal-body {
  padding: 15px 28px;
}

.main-popup table {
  border: none !important;
}

.main-popup table th {
  background-color: #dadada !important;
  color: #000;
}

.main-popup th:last-child {
  border-radius: 0 !important;
}

.reassign-client {
  background-color: #f1f1f1 !important;
  color: #000;
  padding: 6px 0;
}

.reassign-client .reassign-client_heading h5 {
  font-weight: 500;
}

.client-list-popup .modal-header {
  background: var(--primary-color);
  color: #ffffff;
  padding: 15px 22px;
}

.client-list-popup .modal-body {
  padding: 25px 20px;
}

.client-list-popup table {
  border: none !important;
}

.client-list-popup table th {
  background-color: #dadada !important;
  color: #000;
}

.client-list-popup th:last-child {
  border-radius: 0 !important;
}

/* =============== Navigation ================ */

:root {
  --w-aside: 250px;
}

.navigation {
  position: fixed;
  width: 250px;
  /* width: var(--w-aside); */
  height: 100%;
  background: var(--primary-color);
  border-left: 10px solid var(--primary-color);
  transition: 0.5s;
  overflow: hidden;
  z-index: 4;
  left: 0;
  top: 0;
  bottom: 0;
}

.navigation.active {
  width: 80px;
  /* --w-aside: 80px; */
}

.navigation ul {
  position: absolute;
  top: 0;
  left: -5px;
  width: 100%;
  height: 90vh;
  overflow-x: hidden;
  overflow-y: auto;
  scrollbar-width: none;
}

.navigation ul li {
  position: relative;
  width: 100%;
  list-style: none;
}

.navigation ul li:hover,
.navigation ul li.hovered {
  background-color: var(--button1-background);
}

.navigation ul li:nth-child(1) {
  margin-bottom: 42px;
  pointer-events: none;
}

.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--white);
}

.navigation ul li:hover a,
.navigation ul li.hovered a {
  color: var(--primary-color);
}

.navigation ul li a .icon {
  position: relative;
  display: block;
  min-width: 68px;
  text-align: center;
}

.navigation ul li a .icon ion-icon {
  font-size: 30px;
}

.navigation ul li a .title {
  position: relative;
  display: block;
  font-size: 14px;
  font-weight: 400;
  padding: 6px 2px;
  line-height: 25px;
  text-align: start;
  white-space: nowrap;
}

.navigation ul li .dropdown {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--white);
  cursor: pointer;
  outline: none;
}

.navigation ul li .dropdown .dropdown-btn {
  position: relative;
  display: block;
  font-size: 14px;
  font-weight: 400;
  padding: 6px 2px;
  line-height: 25px;
  text-align: start;
  white-space: nowrap;
}

.navigation ul li .icon {
  position: relative;
  color: white;
  min-width: 68px;
  text-align: center;
}

/* Add an active class to the active dropdown button */
.dropdown-btn.active {
  color: white;
}

.dropdown-container {
  display: none;
  width: 100%;
  padding: 0;
}

.sidebar-icon {
  width: 20px;
}

.back-button {
  color: var(--primary-color);
  font-size: 18px;
  font-weight: bolder;
  margin-right: 2px;
}

.profile-pic {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

/* ============ curve outside ============ */
/* .navigation ul li:hover a::before,
    .navigation ul li.hovered a::before {
        content: "";
        position: absolute;
        right: 0;
        top: -50px;
        width: 50px;
        height: 50px;
        background-color: transparent;
        border-radius: 50%;
        box-shadow: 35px 35px 0 10px var(--white);
        pointer-events: none;
    }
    .navigation ul li:hover a::after,
    .navigation ul li.hovered a::after {
        content: "";
        position: absolute;
        right: 0;
        bottom: -50px;
        width: 50px;
        height: 50px;
        background-color: transparent;
        border-radius: 50%;
        box-shadow: 35px -35px 0 10px var(--white);
        pointer-events: none;
    } */

/* ===================== Main ===================== */
/* .main {
  position: absolute;
  width: calc(100% - 250px);
  left: 250px;
  
  min-height: 100vh;
  background: var(--white);
  transition: 0.5s;
  padding: 0 2%;
} */

.custmInnner-main.main-content {
  width: calc(100% - 250px);
  margin-left: auto;
}

.custmInnner-main.main-content:has(.main.active) {
  width: calc(100% - 80px);
}

/* 
.main.active {
  width: calc(100% - 80px);
  left: 80px;
} */

.footer-main {
  position: fixed;
  bottom: 0px;
  left: 0;
  right: 0;
  margin-left: auto;
  width: calc(100% - 250px);
  background-color: #fff;
}

.footer-main.active {
  width: calc(100% - 80px);
  background-color: #fff;
}

footer span {
  font-size: 12px;
  color: #878787;
  padding: 20px;
}

/* ============ Topbar ============ */
.topbar {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.toggle {
  position: relative;
  width: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2.5rem;
  cursor: pointer;
}

.search-input {
  width: 250px;
  height: 40px;
  border: 1px solid #ced4da;
  border-radius: 6px;
  padding: 21px;
  padding-right: 20%;
}

.profile-section {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.user-select-organisation {
  width: 250px;
  height: 40px;
  border: 1px solid var(--primary-color);
  border-radius: 6px;
}

#select-organization-dropdown {
  width: 250px;
  height: 40px;
}

.user-profile-section {
  /* width: 114px; */
}

.user-profile-section .role {
  font-size: 14px;
  color: var(--button1-background);
  font-weight: 700;
}

col .btn-check:active+.btn,
.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:active {
  border: none !important;
}

.dropdown-item {
  display: flex !important;
  align-items: center;
}

.dropdown-item i {
  margin-right: 10px;
}

.form-input-class i {
  position: absolute;
  top: 12px;
  right: 30px;
}

.breadcrumb-item {
  color: var(--primary-color);
  text-decoration: underline;
  font-weight: 700;
}

.settings {
  position: fixed !important;
  bottom: 20px;
  width: 240px !important;
  transition: 0.8s ease-in-out;
}

.settings:hover {
  background-color: var(--button1-background) !important;
  width: 240px !important;
}

/* select-organization dropdown overright */
.select-organization .select2-container--default .select2-selection--single .select2-selection__arrow b {
  border-width: 10px 10px 0 10px;
  margin-left: -24px;
  margin-top: -4px;
  border-color: var(--primary-color) transparent transparent transparent;
}

.select-organization .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
  border-color: transparent transparent var(--primary-color) transparent;
  border-width: 0 10px 10px 10px;
}

.select-organization span.select2-selection.select2-selection--single:active,
.select-organization span.select2-selection.select2-selection--single:focus {
  width: 100%;
  color: #212529;
  background-color: #fff;
  border-color: #8b8b8b;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(104, 104, 104, 0.25);
}

/* ============ Dashboard ============ */
.notification-info {
  font-weight: bold;
  text-decoration: underline;
  color: var(--primary-color);
  text-align: left !important;
  padding-left: 40px !important;
}

.client-name {
  font-weight: bold;
  text-decoration: underline;
  color: var(--primary-color);
}

.date-picker {
  position: relative;
}

.date-picker::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  bottom: 10px;
  right: 12px;
  background-image: url("/media/icons/date-picker.svg");
}

.select-organization-dropdown {
  position: relative;
}

.select-organization-dropdown::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  top: 9px;
  right: 22px;
  background-image: url("/assets/media/icons/drop-down2.svg");
}

.dropdown-option {
  position: relative;
}

.dropdown-option::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  bottom: 8px;
  right: 15px;
  background-image: url("/assets/media/icons/drop-down2.svg");
  background-color: #fff;
}

.dropdown-option-default {
  position: relative;
}

.dropdown-option-default::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  top: 6px;
  right: 6px;
  background-image: url("/media/icons/drop-down2.svg");
}

.dropdown-option.delegate-task::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  top: 54px;
  right: 22px;
  background-image: url("/media/icons/drop-down.svg");
}

.title-heading,
.form-label {
  width: 100%;
  font-weight: 600;
  line-height: 1;
  margin-bottom: 0.5rem;
}

.detail-information {
  width: 100%;
  border: 1px solid var(--primary-color);
  border-radius: 12px;
}

/* .detail-information .display-field {
        width: 18%;
    } */

.detail-information .form-heading {
  padding: 10px 25px;
  border-radius: 12px 12px 0 0;
  background-color: var(--primary-color);
  border-radius: 12;
  color: white;
  font-weight: 500;
}

.detail-information .form-heading2 {
  padding: 6px 25px;
  border-radius: 12px 12px 0 0;
  /* background-color: var(--primary-color); */
  border-radius: 12;
  color: #000;
  font-weight: 800;
  font-size: 20px;
  text-decoration: underline;
}

.detail-information .first-row,
.detail-information .second-row,
.detail-information .third-row {
  padding: 4px 25px;

  /* display: flex !important;
  justify-content: space-between;
  flex-wrap: nowrap; */
}

.organization-form {
  width: 100%;
  border: 1px solid var(--primary-color);
  border-radius: 12px;
  padding: 0;
}

.organization-form .form-heading:first-child {
  border-radius: 12px 12px 0 0;
}

.organization-form .form-heading {
  font-size: 18px;
  font-weight: 500;
  background: var(--primary-color);
  color: white;
  padding: 7px 15px;
}

.organization-form .form-row {
  padding: 10px 25px;
}

table a {
  color: var(--primary-color) !important;
}

/* ============ Profile Page ============ */

.edit-profile-pic {
  width: 96px;
  height: 96px;
  border-radius: 50%;
}

.user-name p {
  line-height: 0.5;
  text-decoration: underline;
}

/* ============ Settings ============ */

.settings-container {
  border: 1px solid black;
  border-radius: 12px;
  position: relative;
}

.settings-container .settings-topbar {
  padding: 15px 28px;
  background-color: var(--primary-color);
  height: 40px;
  border-radius: 12px 12px 0 0;
  color: white;
}

.settings-container .settings-heading {
  margin-top: 20px;
}

.user-permission-heading {
  background-color: #f3f3f3;
  padding: 15px;
}

.user-permission-heading h4 {
  margin: 0;
  font-size: 16px !important;
}

.user-permission-options {
  padding: 0px 38px;
}

.user-permission-options label {
  font-size: 15px;
  white-space: nowrap;
}

.user-permission-options .form-check-inline {
  margin-right: 0px !important;
}

.settings-container {
  position: relative;
}

.settings-container .main-settings {
  padding: 15px 28px;
}

.settings-container .vertical {
  border-left: 6px solid blue;
  height: 200px;
}

.roles-permission {
  position: relative;
  height: 64vh;
  overflow-y: auto;
  overflow-x: hidden;
  /* border-left: 1px solid #ced4da; */
}

.nav-item .nav-link {
  color: var(--primary-color);
  font-weight: 600;
}

.nav-item .nav-link.active {
  margin-bottom: 5px;
  border-bottom: 3.5px solid var(--primary-color);
}

.roles-permission .action-button.row.my-3 {
  width: 100%;
  left: 0%;
  bottom: 0px;
  position: sticky;
  background: #ffffff;
  padding: 15px 10px;
  overflow: hidden;
}

.navigation ul li a .active {
  background-color: #212529;
}

.notes-text {
  max-height: 150px;
  overflow: auto;
}

.report-text {
  font-size: 12px;
  color: #8f8b8b;
  text-align: right;
}

/* ============ Error Page ============ */

.error-container {
  border: 4px solid #ffa230;
  border-radius: 12px;
  margin: 150px auto;
  padding: 50px;
}

.error {
  font-size: 40px;
  font-weight: 800;
  color: #ffa230;
}

.error-image-1 {
  width: 300px;
}

/* ============ 04/08/2023 ============ */

.detail-information .form-heading2 {
  padding: 6px 25px;
  border-radius: 12px 12px 0 0;
  /* background-color: var(--primary-color); */
  border-radius: 12;
  color: #000;
  font-weight: 800;
  font-size: 20px;
  text-decoration: underline;
}

.modal-logged-info {
  background: #f6f3f3;
  padding: 20px;
  font-size: 20px !important;
  font-weight: 500;
  font-family: inherit;
}

/* Date: 23/08/2023 */

.table-icon {
  width: 25px;
}

.table-notes-icon {
  width: 35px;
}

.search-date {
  margin-top: 20px;
  margin-right: 15px;
}

.search-date .add-button {
  width: 54px;
}

/* Event Log Page */

.event-log {
  margin-top: 15px;
}

.date-filter {
  width: 100%;
  background: #f2f2f2;
  padding: 15px 22px;
  height: auto;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.date-filter__left .date-filter-form {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
  margin: 0;
}

.date-filter__left .date-filter-form div {
  width: 250px;
}

.date-filter__right {
  display: flex;
  justify-content: end;
  align-items: center;
  margin-top: 14px;
}

.date-filter span {
  width: 50px;
  text-wrap: nowrap;
  margin-right: 15px;
}

.date-filter form label {
  margin-right: 10px;
  white-space: nowrap;
}

.date-filter input,
.date-filter select {
  height: 36px !important;
  width: 100%;
}

.search-client_input {
  position: relative;
}

.search-client_input::before {
  position: absolute;
  content: "";
  background-image: url("/media/icons/search.png");
  width: 24px;
  height: 24px;
  bottom: 3px;
  right: 8px;
  background-repeat: no-repeat;
  object-fit: cover;
}

.date-filter .dropdown-option::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  top: 8px;
  right: 5px;
  background-image: url("/media/icons/drop-down.svg");
}

.date-filter .date-picker::before {
  position: absolute;
  content: "";
  width: 24px;
  height: 24px;
  top: 6px;
  right: 5px;
  background-image: url("/media/icons/date-picker.svg");
}

.search__date-button-search {
  padding: 6px 10px;
  background-color: var(--button1-background);
  color: #fff;
  border-radius: 50%;
  font-weight: 800;
}

.search__date-button-reset {
  padding: 6px 10px;
  background-color: #ff392e;
  color: #fff;
  border-radius: 50%;
  font-weight: 800;
}

.date-filter .search__date-button i {
  font-size: 16px;
}

.search__date-button .search__date-button-hidden {
  display: none;
}

@media screen and (max-width: 600px) {
  .search-date {
    margin-right: 0;
  }

  .search-date .add-button {
    display: flex;
    align-self: flex-end;
    width: 20%;
  }
}

/* ============ LTCW - Data Table ============ */
.ltcw___license-expiration {
  background-color: #ffacac !important;
}

@media screen and (max-width: 980px) {
  .reassign-client_heading:nth-child(2) {
    display: none;
  }
}

.reassign-client_left {
  padding-right: 20px;
}

.reassign-client_right {
  border-left: 1px solid #dadada;
  padding-left: 20px;
}

.training-status {
  font-weight: 600;
  color: #32960e;
}

/* ============ LTCW - Credentials & Training ============ */

.traning__wrap {
  display: flex;
  gap: 16px;
  flex-direction: column;
  padding-inline: 25px;
  padding-bottom: 25px;
}

.traning__wrap .traning_inner_wrap {
  position: relative;
}

.traning__wrap .traning_inner_wrap+.traning_inner_wrap::after {
  position: absolute;
  content: "";
  left: 0px;
  bottom: -8px;
  width: 100%;
  height: 1px;
  background: rgb(163, 163, 163);
}

.traning_inner_wrap .ltcw-form-layout {
  display: flex;
  gap: 25px;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.traning_inner_wrap .ltcw-form-layout .right {
  width: 230px;
  flex-shrink: 0;
}

.traning_inner_wrap .ltcw-form-layout .left {
  display: flex;
  column-gap: 30px;
  flex-wrap: wrap;
  row-gap: 14px;
}

/* ============ Notification - Units ============ */
.secondary-heading {
  color: var(--primary-color);
  font-size: 15px;
  text-wrap: nowrap;
}

.notification-status-unread {
  font-weight: 600;
  color: var(--primary-color);
}

/* ============ Delegated Tasks ============ */
.stretch-col {
  width: 60% !important;
}

.page-heading {
  margin-bottom: 8px;
  text-wrap: nowrap;
}

.bill-status {
  font-size: 14px;
  font-weight: 600;
  color: var(--primary-color);
  margin-left: 6px;
}

/* ============ Personnel - Change Password ============ */

.personnel-full-name {
  margin: 10px 0;
}

.personnel-full-name label,
.personnel-full-name label p {
  font-size: 20px;
}

/* ============ Treatement & Delegated Task ============ */

.treatment-heading-group {
  display: flex;
  gap: 5.4rem;
  align-items: flex-start;
  margin-bottom: 10px;
}

#template-blue-btn,
#template-green-btn {
  cursor: pointer;
  position: relative;
  background-color: #fff;
  padding: 4px 18px;
  border-radius: 6px;
  color: var(--primary-color);
  margin-right: 12px;
  transition: 0.4s all ease-in-out;
}

#template-blue-btn:hover,
#template-green-btn:hover {
  background-color: #f0ad03;
}

.template-blue-code {
  display: inline-block;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  background-color: var(--primary-color);
  margin-right: 5px;
}

.template-green-code {
  display: inline-block;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  background-color: #32960e;
  margin-right: 5px;
}

#template-blue-btn.active,
#template-green-btn.active {
  background-color: var(--button1-background);
  font-weight: bolder;
  text-decoration: underline;
  margin: 10px auto;
  color: var(--primary-color);
}

.treatment-heading p {
  font-weight: 600;
  color: var(--primary-color);
}

.template-blue.active,
.template-green.active,
.template-blue-green.active {
  display: none;
}

.template-blue,
.template-green,
.template-blue-green {
  position: relative;
  display: inline-block;
}

.template-blue label::before {
  position: absolute;
  content: "";
  width: 16px;
  height: 16px;
  background-color: var(--primary-color);
  top: 0px;
  right: 16px;
  border-radius: 50%;
}

.template-green label::before {
  position: absolute;
  content: "";
  width: 16px;
  height: 16px;
  background-color: #32960e;
  top: 0px;
  right: 16px;
  border-radius: 50%;
}

.template-blue-green::before {
  position: absolute;
  content: "";
  width: 16px;
  height: 16px;
  background-color: var(--primary-color);
  top: 0px;
  right: 34px;
  border-radius: 50%;
}

.template-blue-green::after {
  position: absolute;
  content: "";
  width: 16px;
  height: 16px;
  background-color: #32960e;
  top: 0;
  right: 14px;
  border-radius: 50%;
}

.delegate-task-heading-group {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 10px;
}

.delegate-task-heading-group .preview-icon-template {
  color: var(--primary-color);
  font-size: 16px;
}

.manage-instruction-form .form-box-span {
  font-size: 12px;
  color: #32960e;
}

.second-column-info {
  position: sticky;
  top: 10px;
}

#task-name {
  cursor: pointer;
}

#lightbox {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 1000;
  display: none;
}

#lightbox.active {
  display: flex;
  justify-content: center;
  align-items: center;
}

.form-img {
  height: 90%;
  width: 800px;
}

.notification-action {
  display: flex;
  align-items: center;
  gap: 20px;
  border: 1px solid #9e9e9e;
  padding: 4px 8px;
  border-radius: 6px;
}

.notification-action .delete-btn:hover {
  color: #d31212;
  transition: all ease-in-out 0.3s;
}

/* ============ Error Page ========== */
.error-left-col {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-self: center;
}

.error-warning {
  font-size: 30px;
  font-weight: 800;
  margin-right: 6px;
  color: var(--primary-color);
}

.error-message .warning {
  font-size: 22px !important;
}

.error {
  font-size: 94px;
  color: var(--primary-color);
}

.error-image {
  width: 440px;
}

.error-container {
  border: 4px solid var(--primary-color);
}

/* ============ Forget password Email Template ========== */
.email-container {
  width: 650px;
  margin: auto;
  background: #fff;
  text-align: center;
  padding: 30px;
}

.password-success {
  width: 500px;
}

/* ============ OTP Input mfa ========== */
.otp-container .otp-input {
  width: 45px;
  height: 55px;
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  border: 2px solid #e0e0e0;
  border-radius: 10px;
  background-color: #f8f9fa;
  transition: all 0.2s ease-in-out;
}

.otp-container .otp-input:focus {
  border-color: #ff3366;
  /* Your theme color */
  background-color: #fff;
  box-shadow: 0 0 8px rgba(255, 51, 102, 0.2);
  outline: none;
}

.mfa-card {
  padding: 30px;
  background: #ffffff;
  border-radius: 15px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
}

.mfa-icon-circle {
  width: 70px;
  height: 70px;
  background: #fff0f3;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
}

/* 16-01-2026 new css  */

.inputGrup-icon {
  position: relative;
}

.custm-alertQr {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.custm-alertQr p {
  margin: 0;
}

.icon-lg-thumb {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  background: #01aced26;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
}

.custmNavigation.navigation ul li a {
  display: flex;
  gap: 10px;
  padding: 6px 0;
}

.custmNavigation.navigation ul li.logo-img a {
  padding: 0;
}

.custmNavigation.navigation ul li a .icon {
  min-width: 30px;
  width: 30px;
  text-align: center;
}

.custmNavigation.navigation ul li a img[alt="logo"] {
  max-width: 100%;
  padding: 0 20px;
  width: 100%;
}

.custmNavigation.navigation ul li {
  padding: 0 20px;
}

.custmNavigation.navigation ul li.logo-img {
  padding: 10px 0 0;
}

.custmNavigation.active ul li a .title {
  display: none;
}

.small-sidebar {
  display: none;
}

.custmNavigation.active .large-sidebar {
  display: none;
}

.custmNavigation.navigation.active ul li a img[alt="logo"].small-sidebar {
  padding: 0 10px;
  display: block;
}

/* appointment css  */

.calendar-container {
  border: 1px solid #1275b3;
  border-radius: 8px;
  overflow: hidden;
  background: #fff;
}

/* Replicate the original image's static header bar (outside FC) */
.top-header-bar {
  /* background-color: #0d2c4e; */
  /* Dark blue */
  color: white;
  padding: 10px 15px;
  font-weight: bold;
}

/* FullCalendar theming using the image's color scheme */
/* .fc-theme-bootstrap5 .fc-button-primary { */
/* background-color: #0d2c4e;
                            border-color: #0d2c4e;
                            color: white;
                            text-transform: uppercase; */
/* } */

.fc-scrollgrid-sync-table,
.fc-col-header {
  border-collapse: collapse !important;
}

.fc-scrollgrid-sync-table td,
.fc-col-header-cell {
  border: 1px solid #ddd !important;
}

.fc-col-header {
  background-color: none !important;
}

.fc-col-header-cell {
  background-color: #f8f9fa !important;
  padding: 8px 0;
}


.fc-scrollgrid-sync-table {
  border-collapse: collapse !important;
}

.fc-scrollgrid-sync-table td {
  border: 1px solid #ddd !important;
}

.fc .fc-scrollgrid-liquid {
  border: 1px solid #ddd !important;
}

.fc-theme-bootstrap5 .fc-button-today {
  background-color: #6c757d !important;
  border-color: #6c757d !important;
  color: white;
  text-transform: uppercase;
}

.fc-day-fri {
  background-color: #fffde7;
}

.bg-scheduled {
  background-color: #0d6efd !important;
  border-color: #0d6efd !important;
}

.bg-confirmed {
  background-color: #28a745 !important;
  border-color: #28a745 !important;
}

.bg-pending {
  background-color: #ffc107 !important;
  border-color: #ffc107 !important;
  color: #000 !important;
}

#calendar-custom-tooltip {
  display: none;
  position: fixed;
  background: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 4px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  z-index: 1000;
}

.fc-header-toolbar {
  margin: 20px;
}

.fc-view-harness {
  margin: 20px;
}

#full-calendar-target .fc-scrollgrid {
  border: 1px solid #ddd !important;
}

#full-calendar-target .fc-col-header-cell {
  border: 1px solid #ddd !important;
  border-bottom: 2px solid #ccc !important;
  background-color: #f8f9fa;
}

.fc-scrollgrid-section .fc-scrollgrid-section-header th {
  background-color: none !important;
}

#full-calendar-target .fc-daygrid-day {
  border: 1px solid #ddd !important;
}

#full-calendar-target .fc-scroller-harness,
#full-calendar-target .fc-scroller {
  border: none !important;
}

.fc-scrollgrid-section fc-scrollgrid-section-header {
  border: none;
}

.fc-theme-standard td,
.fc-theme-standard th {
  border: 1px solid #ddd !important;
}

.fc-scrollgrid-sync-table {
  border-collapse: collapse !important;
}

input.form-control[readonly] {
  background-color: #f1f1f1 !important;
  cursor: not-allowed;
  border-color: #d1d1d1;
  color: #6c757d;
}

/* Fix for the text overlapping the icons */
.inputGrup-icon .form-control {
  padding-right: 60px !important;
  text-overflow: ellipsis;
}


.inputGrup-icon {
  position: relative;
  display: flex;
  align-items: center;
}

.login-icon {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  z-index: 10;
}


/* Master Outer Container (Dark Blue Header) */
.providerDetails {
  width: 100%;
  border: 1px solid var(--primary-color);
  border-radius: 12px;
  padding: 0;
}

.providerDetails .form-headings:first-child {
  border-radius: 12px 12px 0 0;
}

.providerDetails>.form-headings {
  font-size: 18px;
  font-weight: 500;
  background: var(--primary-color);
  color: white;
  padding: 7px 15px;
}

.providerDetails .organization-forms {
  border: 0 !important;
  margin: 15px;
  width: calc(100% - 30px);
}

.providerDetails .organization-forms .form-headings {
  background-color: #f3f3f3;
  color: var(--bs-body-color);
  padding: 15px;
  border-radius: 0 !important;
}

